<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\Visitenkarten\NeueVisitenkarteErstellen;

class NeueVisitenkarteErstellenController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new NeueVisitenkarteErstellenUseCase($this->getRequestObj());
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new NeueVisitenkarteErstellenPresenter($pUseCaseResponse);
  }

  protected function getRequestObj()
  {
    return new NeueVisitenkarteErstellenRequest();
  }
}